## org.codehaus.groovy.grails.web.taglib
Class GroovySyntaxTag

    java.lang.Object
      org.codehaus.groovy.grails.web.taglib.GroovySyntaxTag

All Implemented Interfaces:
  GrailsTag

Direct Known Subclasses:
  GroovyCollectTag, GroovyDefTag, GroovyEachTag, GroovyElseIfTag, GroovyElseTag, GroovyFindAllTag, GroovyGrepTag, GroovyIfTag, GroovyWhileTag

    public abstract class GroovySyntaxTag

extends Object
implements GrailsTag

A tag type that gets translated directly into Groovy syntax by the GSP parser

Since:
  11-Jan-2006
Author:
  Graeme Rocher

Field Summary
`protected static String` `ATTRIBUTE_IN`
`protected static String` `ATTRIBUTE_VAR`
`protected Map` `attributes`
`protected static String` `ATTRIBUTES_STATUS`
`protected PrintWriter` `out`
`protected Map` `tagContext`

Constructor Summary
`GroovySyntaxTag()`

Method Summary
`protected String` `calculateExpression(String expr)`
`protected void` `doEachMethod(String in)`
`abstract boolean` `hasPrecedingContent()`
`void` `init(Map tagContext)`
`abstract boolean` `isBufferWhiteSpace()`
`void` `setAttribute(String name, Object value)` Sets an attribute of the tag
`void` `setAttributes(Map attributes)` Sets the attributes of the tag
`void` `setWriter(Writer w)` Sets the writer that processes the tag

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.codehaus.groovy.grails.web.taglib.GrailsTag
`doEndTag, doStartTag, getName`

Field Detail

### ATTRIBUTE_IN

    protected static final String ATTRIBUTE_IN

See Also:
  Constant Field Values

### ATTRIBUTE_VAR

    protected static final String ATTRIBUTE_VAR

See Also:
  Constant Field Values

### ATTRIBUTES_STATUS

    protected static final String ATTRIBUTES_STATUS

See Also:
  Constant Field Values

### tagContext

    protected Map tagContext

### out

    protected PrintWriter out

### attributes

    protected Map attributes

Constructor Detail

### GroovySyntaxTag

    public GroovySyntaxTag()

Method Detail

### init

    public void init(Map tagContext)

  Specified by:
    `init` in interface `GrailsTag`

### setWriter

    public void setWriter(Writer w)

  Description copied from interface: `GrailsTag`
  Sets the writer that processes the tag

  Specified by:
    `setWriter` in interface `GrailsTag`

### setAttributes

    public void setAttributes(Map attributes)

  Description copied from interface: `GrailsTag`
  Sets the attributes of the tag

  Specified by:
    `setAttributes` in interface `GrailsTag`

### setAttribute

    public void setAttribute(String name,
                             Object value)

  Description copied from interface: `GrailsTag`
  Sets an attribute of the tag

  Specified by:
    `setAttribute` in interface `GrailsTag`

### isBufferWhiteSpace

    public abstract boolean isBufferWhiteSpace()

### hasPrecedingContent

    public abstract boolean hasPrecedingContent()

### calculateExpression

    protected String calculateExpression(String expr)

### doEachMethod

    protected void doEachMethod(String in)

  Parameters:
    `in` -

Copyright (c) 2005-2006 The Grails project